Subject: Re: bug#15769: building on OpenBSD fails because of a shell pattern problem

From: Han Boetes <[email-masked]>
Date: Thu, 31 Oct 2013 22:51:44 +0100

Glenn Morris wrote:
> Well, you live and learn. Bash and zsh allow either [^...] or [!...],
> but ksh only the latter. I guess every other instance of [^...] in the
> Emacs build rules must be in sed rather than the shell.
> 
> So I changed ^ for !, but the whole check is likely to get removed soon
> anyway.

Incase you run debian I can recommend installing mksh and use it for
testing.

mksh is a clone of this ksh version. They both try to be as POSIX
compliant as possible. It's great for finding bashisms.

# Han